JavaScript
async function unsubscribeFromAlert(alertId, userId) { const url = `/api/social/v4/alerts/${alertId}/subscriptions?subscriberId=${userId}&type=USER`; const response = await fetch(url, { method: 'DELETE', }); return await response.json();}curl --request DELETE \
--url https://{instance}.domo.com/api/social/v4/alerts/{alertId}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.domo.com/api/social/v4/alerts/{alertId}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
{}Alerts API
Unsubscribe user from an alert
DELETE
/
api
/
social
/
v4
/
alerts
/
{alertId}
/
subscriptions
JavaScript
async function unsubscribeFromAlert(alertId, userId) { const url = `/api/social/v4/alerts/${alertId}/subscriptions?subscriberId=${userId}&type=USER`; const response = await fetch(url, { method: 'DELETE', }); return await response.json();}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The alertId
Query Parameters
The id of the entity unsubscribing from the alert
The entity type, can be USER, GROUP, BUZZ, DAILY, WEEKLY, or AUTO
Response
200 - application/json
Returns the parameter of success or error based on the alert id being valid.
The response is of type object.
⌘I